Subject: Re: [PATCH v2] Add svnrdump

From: Ramkumar Ramachandra <[email-masked]>
Date: Thu, 15 Jul 2010 14:07:32 +0200

Hi Bert,

Bert Huijben writes:
> > >  - I've seen a "Prop-delta: true" line which svnadmin dump does not
> print.
> > 
> > Correct. `svnadmin dump` has a logic for determining when the prop is
> > really a delta (as opposed to a delta against /dev/null). Since
> > there's no harm printing extra Prop-delta headers, I decided not to
> > implement this logic.
> 
> Do you know if this is this something as simple as: 'Is this a new node?' or
> if this is some advanced scheme?

The former actually; although the task looks deceptively simple, it's
a little more involved than that: I'm a little worried about messing
up the node-action-handling logic, as it might break something. Once
we have a large server constantly running validations against my
latest changes, I can change stuff more confidently.

> > gawk '$0 !~ "Prop-delta: true|Text-delta-base-|sha1|Text-copy-source-|^-
> > $" && $0 ~ "^+|^-" { print; }'
> 
> Your mail explains Prop-delta, sha1, but what about these Text-delta-base
> and Text-copy-source lines?

These headers are also not strictly necessary, and I haven't found out
where this information is hidden. I'll dig through the API and find
out where this information and print it later.

-- Ram